{{- if .Values.gitRepository }}
apiVersion: source.toolkit.fluxcd.io/v1
kind: GitRepository
metadata:
  name: {{ .Values.gitRepository.name }}
  namespace: {{ .Values.gitRepository.namespace }}
spec:
  interval: {{ .Values.gitRepository.interval }}
  url: {{ .Values.gitRepository.url }}
  ref:
    branch: {{ .Values.gitRepository.ref.branch }}
  secretRef:
    name: {{ .Values.gitRepository.secretRef.name }}
  timeout: {{ .Values.gitRepository.timeout }}
{{- end }}